Subject: bug#46047: 28.0.50; Namazu-based mail searching not working anymore

From: Torsten Bronger <[email-masked]>
Date: Sat, 23 Jan 2021 21:17:28 +0100

Hallöchen!

Eric Abrahamsen writes:

> [...]
>
> Thanks for the report. I haven't provided obsolete aliases for all of
> the old nnir-<engine>-* variables, as that would be quite a pile, but if
> that's annoying to enough people I can.

Thank you for your quick reaction.  FWIW, I don’t care about
reverting.  If I find a solution that only works with newest Emacs,
that’s fine.  However, this is only me.

> If you're not planning to revert to an earlier Emacs, it would be
> easiest just to switch to setting
> `gnus-search-namazu-index-directory'.  If you are planning to
> revert, you could always set both. Alternately, you could set the
> index directory within the server definition itself, like so:
>
> '((nnml "" (nnir-search-engine namazu
>              (nnir-namazu-index-directory "/var/lib/namazu/"))))

Franky, I don’t understand all this really.  I'm driving blindfolded
a bit.  Anyway, I put

(setq gnus-secondary-select-methods
      '((nnml "" (nnir-search-engine namazu
                                     (nnir-namazu-index-directory "/var/lib/namazu/")))))
(setq gnus-search-namazu-index-directory "/var/lib/namazu/")

in my .gnus.

> [...]
>
> nnselect-run currently downgrades errors to messages (then reports
> no messages found), so if there's really something blowing up, you
> might see it in your *Messages* buffer.

The *Messages* buffer says:

nnselect-run: gnus-search-run-query on ((search-query-spec (query . testquery) (raw)) (search-group-spec (nnml: nnml:KFA))) gave error (unbound-slot gnus-search-namazu #<gnus-search-namazu gnus-search-namazu-157f858a8568> index-directory oref)
Group nnselect:nnselect-87a6sztnu9.fsf contains no messages

Regards,
Torsten.

-- 
Torsten Bronger